import pygame
from fahrzeug import Fahrzeug

class Player(Fahrzeug, pygame.sprite.Sprite):
    def __init__(self, x, y):
        super().__init__(x, y)
        self.image = pygame.image.load("resources/player.png").convert_alpha()
        self.image = pygame.transform.scale(self.image, (self.image.get_width()/1.2, self.image.get_height()/1.2))
        self.rect = self.image.get_rect(center=(x, y))
        self.rect.centerx = x
        self.rect.centery = y
        self.speed = 1
        self.dest_x = x
        self.dest_y = y
        self.direction = pygame.math.Vector2(0, -1)
        self.angle = 0
        self.Tank = 250


    def draw(self, win):
        rotated_image = pygame.transform.rotate(self.image, self.angle)
        rotated_rect = rotated_image.get_rect(center=self.rect.center)

        #debug, nicht anrühren
        #self.angle += 1
        #pygame.draw.rect(win, (255, 0, 0), rotated_rect)

        win.blit(rotated_image, rotated_rect)

    def move(self):
        if self.Tank > 0:
            if self.rect.centerx < self.dest_x:
                self.rect.centerx += self.speed
            if self.rect.centerx > self.dest_x:
                self.rect.centerx -= self.speed
            if self.rect.centery < self.dest_y:
                self.rect.centery += self.speed
            if self.rect.centery > self.dest_y:
                self.rect.centery -= self.speed

            keys = pygame.key.get_pressed()
            if keys[pygame.K_LEFT]:
                self.rect.centerx -= self.speed
                self.dest_x -= self.speed
                self.angle = 90
            if keys[pygame.K_RIGHT]:
                self.rect.centerx += self.speed
                self.dest_x += self.speed
                self.angle = 270
            if keys[pygame.K_UP]:
                self.rect.centery -= self.speed
                self.dest_y -= self.speed
                self.angle = 0
            if keys[pygame.K_DOWN]:
                self.rect.centery += self.speed
                self.dest_y += self.speed
                self.angle = 180

    def dest(self, pos):
        self.dest_x, self.dest_y = pos
